/* ========================================
 *  SideDull - SideDull.h
 *  Created 8/12/11 by SPIAdmin 
 *  Copyright (c) 2011 __MyCompanyName__, Airwindows uses the MIT license
 * ======================================== */

#ifndef __SideDull_SideDull_H
#define __SideDull_SideDull_H

#include "../../../configuration.h"
#ifdef SHR3D_SFX_CORE_AIRWINDOWS

#include "../common/airwin_consolidated_base.h"


namespace airwinconsolidated::SideDull {
enum {
	kParamA = 0,
  kNumParameters = 1
}; //


class SideDull final : public SfxCoreExtensionV1
{
public:
    SideDull();
    ~SideDull();
    void processBlock(float** inputs, float** outputs, int sampleFrames) override;
    int getParameterCount() const override;
    float getParameter(int index) override;
    void setParameter(int index, float value) override;
    void getParameterLabel(int index, char *text) override;
    void getParameterName(int index, char *text) override;
    void getParameterDisplay(int index, char *text) override;
private:
    
	double iirSampleA;
	double iirSampleB;
	bool flip;
	uint32_t fpdL;
	uint32_t fpdR;
	
    float A;
};

} // end namespace

#endif // SHR3D_SFX_CORE_AIRWINDOWS

#endif
